{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/reminderDefault

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

GET /api/calendar/{calendarId}/reminderDefault

Whether new events use the default reminder setting.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
200 application/json boolean Successful response.

Example Request

# Request
GET /api/calendar/<calendarId>/reminderDefault HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

true

PUT /api/calendar/{calendarId}/reminderDefault

Whether new events use the default reminder setting.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Request Body

Content Type Schema Required Description
application/json boolean yes

Whether new events use the default reminder setting.

Response

Status Content Type Schema Description
200 application/json boolean Successful response.

Example Request

# Request
PUT /api/calendar/<calendarId>/reminderDefault HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json

true

# Response
HTTP/1.1 200 OK
Content-Type: application/json

true

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net PDFC
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help